|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QDesignerWidgetBoxInterface Class Reference
[QtDesigner module]

The QDesignerWidgetBoxInterface class provides an interface that is used to control Qt Designer's widget box component. More...

    #include <QDesignerWidgetBoxInterface>

Inherits QWidget.

- List of all members, including inherited members

### Public Functions

- QDesignerWidgetBoxInterface ( QWidget * parent = 0, Qt::WindowFlags flags = 0 )
- virtual ~QDesignerWidgetBoxInterface ()
- virtual QString fileName () const = 0
- virtual bool load () = 0
- virtual bool save () = 0
- virtual void setFileName ( const QString & file_name ) = 0

- 184 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Additional Inherited Members

- 52 properties inherited from QWidget
- 1 property inherited from QObject
- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 39 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The QDesignerWidgetBoxInterface class provides an interface that is used to control Qt Designer's widget box component.

## Member Function Documentation

### QDesignerWidgetBoxInterface::QDesignerWidgetBoxInterface ( QWidget * parent = 0, Qt::WindowFlags flags = 0 )

### QDesignerWidgetBoxInterface::~QDesignerWidgetBoxInterface () `[virtual]`

### QString QDesignerWidgetBoxInterface::fileName () const `[pure virtual]`

See also setFileName().

### bool QDesignerWidgetBoxInterface::load () `[pure virtual]`

### bool QDesignerWidgetBoxInterface::save () `[pure virtual]`

### void QDesignerWidgetBoxInterface::setFileName ( const QString & file_name ) `[pure virtual]`

See also fileName().